* {
    margin: 0;
}


.direitos {
    text-align: center;
    font-family: "Baloo 2", sans-serif;
    font-size: 14px;
    color: rgb(91, 91, 91);
    margin-bottom: 30px;
}


.inicio {
    display: flex;
    flex-direction: row;
    margin-top: 40px;

}

.titulo {
    width: 69%;
    color: rgb(0, 0, 0);
    font-family: "Baloo 2", sans-serif;
    font-weight: 600;
    font-style: normal;
    font-size: 55px;
    margin-left: 1%;
}

.dig {
    color: rgb(34, 54, 202);
}

.apresentacao {
    font-size: 20px;
    width: 80%;
    border: 1px solid black;
    border-radius: 12px;
    padding: 10px;
    margin: 1%;
    margin-bottom: 0;

}

.text-portugues {
    color: #c29155;
}

.text-matematica {
    color: #ff3e45;
}

.text-fisica {
    color: #169cf9;
}

.text-quimica {
    color: #9d25b8;
}

.text-biologia {
    color: #25b85c;
}

.logo-container {
    display: flex;
    margin-right: 0;
    justify-content: center;
    align-items: center;
    background-color: rgb(0, 102, 255);
    border-top-left-radius: 15px;
    border-bottom-left-radius: 15px;
    width: 30%;
    flex-grow: 1;
}

.logo {
    width: 60%;

}

.menu-container {
    display: flex;
    flex-direction: column;
    border: 1px solid black;
    margin-top: 50px;
    width: 96%;
    margin-left: auto;
    margin-right: auto;
    border-radius: 12px;
    padding-bottom: 20px;
    padding-top: 20px;
    margin-bottom: 50px;
}

.disciplinas {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    grid-auto-rows: 70px;
    gap: 20px;
    margin-top: 20px;
    padding-left: 2%;
    padding-right: 2%;
}

.disciplina {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid black;
    border-radius: 12px;
    padding: 0 5px;
    text-decoration: none;
    text-align: center;
    color: rgb(255, 255, 255);
    font-size: clamp(1.2rem, 5.5vw, 1.4rem);
    /* Fonte responsiva: min, preferencial, max */
    font-family: "Baloo 2", sans-serif;
    font-weight: 600;
    font-style: normal;
    transition: all 0.3s ease;
}

.disciplina:hover {
    cursor: pointer;
    transform: scale(1.05);
    color: black;
    background-color: white;
    border: 1px solid black;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}

.titulo-disciplinas {
    font-family: "Baloo 2", sans-serif;
    margin-left: 2%;
    font-size: 30px;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.livro-svg {
    width: 5%;
    margin-left: 10px;
}

.portugues {
    background-color: #c29155;
}

.matematica {
    background-color: #ff3e45;
}

.fisica {
    background-color: #169cf9;
}

.quimica {
    background-color: #9d25b8;
}

.biologia {
    background-color: #25b85c;
}

.historia {
    background-color: #a15341;
}

.geografia {
    background-color: #ec6138;
}

.meioambiente {
    background-color: #18ba43;
}

.logo-container-1 {
    display: none;
}

.logo-1 {
    display: none;
}

.linha {
    width: 96%;
    margin-left: auto;
    margin-right: auto;
    height: 2px;
    background-color: rgb(91, 91, 91);
    border-radius: 10px;
    margin-top: 50px;
    margin-bottom: 20px;
}


.titulo-outros {
    font-family: "Baloo 2", sans-serif;
    margin-left: 2%;
    font-size: 30px;
    display: flex;
    flex-direction: row;
    align-items: center;

}

.redacao {
    background-color: #ff1d26;
}

.videoaulas {
    background-color: #ff2bd0;
}

.cadernosdigitais {
    background-color: #0440b7;
}

.referencias {
    background-color: #24e059;
}

.gabaritos {
    background-color: #2f1dff;
}

.titulo-app {
    font-family: "Baloo 2", sans-serif;
    margin-left: 2%;
    font-size: 30px;
    display: flex;
    flex-direction: row;
    align-items: center;

}

.conteudo {
    display: none;
}

.app-svg {
    width: 4%;
    margin-left: 10px;
}

.apps {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(80px, 1fr));
    gap: 20px;
    margin-top: 20px;
    padding-left: 2%;
    padding-right: 2%;
    justify-items: center;
    align-items: center;

}

.app-m {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    border-radius: 15px;
    transition: all 0.3s ease;
}

.m-svg {
    width: 100px;
    height: auto;
    object-fit: contain;
}

.apresentacao-1 {
    display: none;
}

.cadernos-digitais {
    display: none;
    flex-direction: column;
    border: 1px solid black;
    margin-top: 50px;
    width: 96%;
    margin-left: auto;
    margin-right: auto;
    border-radius: 12px;
    padding-bottom: 20px;
    padding-top: 20px;
    margin-bottom: 50px;
}

.titulo-cadernos {
    font-family: "Baloo 2", sans-serif;
    margin-left: 2%;
    font-size: 30px;
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 20px;
}

.caderno-m {
    display: flex;
    flex-direction: row;
}

.caderno-m-1 {
    display: none;
}

.txt-caderno {
    font-family: "Baloo 2", sans-serif;
    font-weight: 700;
    font-size: clamp(1rem, 1.5vw, 2rem);
    ;
}

.capa {
    width: 18%;
}

.mec-enem-img {
    width: 55%;
    margin-left: 2%;
}

.mec-enem-container {
    display: flex;
    flex-direction: column;
    border: 1px solid black;
    margin-top: 50px;
    width: 96%;
    margin-left: auto;
    margin-right: auto;
    border-radius: 13px;
    padding-bottom: 20px;
    padding-top: 20px;
    margin-bottom: 50px;
}

.mec-enem {
    display: flex;
    flex-direction: row;
    gap: 20px;

}

.btn-mec-enem {
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid black;
    border-radius: 12px;
    padding: 10px;
    color: black;
    font-family: "Baloo 2", sans-serif;
    font-weight: 600;
    font-size: clamp(0.3rem, 2vw, 1rem);
    white-space: nowrap;
    width: 150px;
    transition: all 0.3s ease;
}


.btn-mec-enem:hover {
    cursor: pointer;
    transform: scale(1.05);
    color: rgb(255, 255, 255);
    background-color: rgb(27, 99, 200);
    border: 1px solid rgb(0, 0, 0);
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}

.btn-mec-enem-2 {
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid black;
    border-radius: 12px;
    padding: 10px;
    color: black;
    font-family: "Baloo 2", sans-serif;
    font-weight: 600;
    font-size: clamp(0.3rem, 2vw, 1rem);
    white-space: nowrap;
    width: 150px;
    transition: all 0.3s ease;
}


.btn-mec-enem-2:hover {
    cursor: pointer;
    transform: scale(1.05);
    color: rgb(255, 255, 255);
    background-color: rgb(3, 144, 34);
    border: 1px solid rgb(0, 0, 0);
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}

.btn-mec-enem-3 {
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid black;
    border-radius: 12px;
    padding: 10px;
    color: black;
    font-family: "Baloo 2", sans-serif;
    font-weight: 600;
    font-size: clamp(0.3rem, 2vw, 1rem);

    width: 150px;
    transition: all 0.3s ease;
}


.btn-mec-enem-3:hover {
    cursor: pointer;
    transform: scale(1.05);
    color: rgb(255, 255, 255);
    background-color: rgb(51, 85, 116);
    border: 1px solid rgb(0, 0, 0);
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}


.btns-mec {
    display: flex;
    flex-direction: row;
    gap: 10px;
}

.img-mecc {
    border-radius: 15px;
    width: 82%;
    box-shadow: black 0px 0.5px 10px;
}

.info {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 35%;
    justify-content: center;
}

.txt-mec {
    font-family: "Baloo 2", sans-serif;
    font-weight: 400;
    font-size: 1.125rem;
    line-height: 1.3;
}

.btn-baixar-ca {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid black;
    border-radius: 12px;
    padding: 5px;
    text-decoration: none;
    color: black;
    width: 30%;
    transition: all 0.3s ease;
}

.linha-v {
    height: 230px;
    width: 1px;
    border-radius: 12px;
    background-color: rgb(46, 46, 46);
    margin-left: 25px;
    margin-right: 10px;
}

.btn-baixar-ca:hover {
    cursor: pointer;
    transform: scale(1.05);
    color: rgb(255, 255, 255);
    background-color: rgb(2, 146, 12);
    border: 1px solid black;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}

.linha-h {
    display: none;
}

.rodape {
    display: flex;
    flex-direction: column;
    border: 1px solid black;
    margin-top: 50px;
    width: 96%;
    margin-left: auto;
    margin-right: auto;
    border-radius: 12px;
    padding-bottom: 20px;
    padding-top: 20px;
    margin-bottom: 50px;
}

.logo-exp {
    width: 15%;
    display: flex;
    margin-left: 2%;
    margin-bottom: 20px;
}

.infs {
    display: flex;
    flex-direction: row;
    gap: 20px;
    margin-left: 2%;
}

.agradecimento {
    font-family: "Baloo 2", sans-serif;
    font-weight: 400;
    font-size: 18px;
    width: 30%;
    border: 1px solid black;
    border-radius: 12px;
    padding: 10px;
}

.ajuda {
    font-family: "Baloo 2", sans-serif;
    font-weight: 400;
    font-size: 18px;
    width: 30%;
    border: 1px solid black;
    border-radius: 12px;
    padding: 10px;
}

.contato {
    font-family: "Baloo 2", sans-serif;
    font-weight: 400;
    font-size: 18px;
    width: 30%;
    border: 1px solid black;
    border-radius: 12px;
    padding: 10px;
    display: flex;
}

.txt-contato {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.btn-contato {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid black;
    border-radius: 12px;
    padding: 5px;
    text-decoration: none;
    color: rgb(255, 255, 255);
    width: 40%;
    transition: all 0.3s ease;
    background-color: rgb(0, 102, 255);
    margin-top: auto;
}

.btn-contato:hover {
    cursor: pointer;
    transform: scale(1.05);
    color: black;
    background-color: white;
}

.chave-pix {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid black;
    border-radius: 12px;
    padding: 5px;
    color: rgb(255, 255, 255);
    width: auto;
    margin-top: 10px;
    background-color: rgb(0, 102, 255);
    word-break: break-all;
    cursor: pointer;
}

.redes-sociais {
    display: flex;
    flex-direction: row;
    gap: 20px;
    margin-left: 2%;
    margin-top: 20px;
}

.instagram {
    font-family: "Baloo 2", sans-serif;
    font-weight: 600;
    font-size: 18px;
    width: 30%;
    border: 1px solid black;
    border-radius: 12px;
    padding: 10px;
    display: flex;
    flex-direction: column;
}

.cabeca {
    display: flex;
    align-items: center;
    width: 100%;
}

.img-inst {
    width: 40%;
}

.btn-seguir-inst {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 12px;
    padding: 5px;
    text-decoration: none;
    color: rgb(255, 255, 255);
    width: 30%;
    transition: all 0.3s ease;
    background-color: rgb(234, 0, 255);
    margin-left: auto;
}

.btn-seguir-inst:hover {
    cursor: pointer;
    transform: scale(1.05);
    color: black;
    background-color: white;
    border: 1px solid black;
    ;
}

.cap-inst {
    width: 100%;
}

.tiktok {
    font-family: "Baloo 2", sans-serif;
    font-weight: 600;
    font-size: 18px;
    width: 30%;
    border: 1px solid black;
    border-radius: 12px;
    padding: 10px;
    display: flex;
    flex-direction: column;
}

.cap-tkk {
    width: 100%;
}

.img-tkk {
    width: 40%;
}

.btn-seguir-tkk {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 12px;
    padding: 5px;
    text-decoration: none;
    color: rgb(255, 255, 255);
    width: 30%;
    transition: all 0.3s ease;
    background-color: #f4254b;
    margin-left: auto;
}

.btn-seguir-tkk:hover {
    cursor: pointer;
    transform: scale(1.05);
    color: black;
    background-color: white;
    border: 1px solid black;
    ;
}

.telegram {
    font-family: "Baloo 2", sans-serif;
    font-weight: 600;
    font-size: 18px;
    width: 30%;
    border: 1px solid black;
    border-radius: 12px;
    padding: 10px;
    display: flex;
    flex-direction: column;
}

.cap-tlg {
    width: 100%;
}

.img-tlg {
    width: 40%;
}

.btn-seguir-tlg {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 12px;
    padding: 5px;
    text-decoration: none;
    color: rgb(255, 255, 255);
    width: 30%;
    transition: all 0.3s ease;
    background-color: #2aabee;
    margin-left: auto;
}

.btn-seguir-tlg:hover {
    cursor: pointer;
    transform: scale(1.05);
    color: black;
    background-color: white;
    border: 1px solid black;
    ;
}

.mec-enem-container-cell {
    display: none;
}

.animar-ao-ver {
    opacity: 0;
    transition: opacity 0.5s ease-out;
}

.animar-ao-ver.visivel {
    opacity: 1;
}



@media (max-width: 480px) {
    header {
        width: 100%;
        font-size: clamp(0.3rem, 3vw, 1rem);
        margin-bottom: 10px;
    }

    .caderno-m-1 {
        display: none;
    }

    .inicio {
        flex-direction: column;
        margin-bottom: 20px;
        margin-top: 100px;
    }

    .titulo {
        width: 90%;
        text-align: left;
        font-size: 40px;
        margin-bottom: 20px;
        line-height: 1;
        margin-left: 2%;
    }

    .apresentacao {
        line-height: 1.3;
        width: 97%;
        margin-top: 10px;
        font-size: 16px;
    }

    .logo-container {
        display: none;
    }

    .logo {
        display: none;
    }

    .logo-1 {
        display: flex;
        width: 50%;
        padding: 10px;
    }

    .logo-container-1 {
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: rgb(0, 102, 255);
        width: 40%;
        margin-left: 0;
        margin-top: -10px;
        border-bottom-right-radius: 12px;
        border-top-right-radius: 12px;
        margin-bottom: 10px;
    }

    .linha {
        width: 90%;
        margin-left: auto;
        margin-right: auto;
        height: 2px;
        background-color: rgb(91, 91, 91);
        border-radius: 10px;
        margin-bottom: 22px;
    }

    .titulo-disciplinas {
        width: 90%;
        text-align: left;
        font-size: 35px;
        margin-left: 3%;
        margin-bottom: 20px;
        font-family: "Baloo 2", sans-serif;
    }

    .disciplinas {
        gap: 15px;
        grid-template-columns: repeat(2, 1fr);
    }


    .apps {
        gap: 15px;

    }

    .titulo-outros {
        margin-left: 3%;
    }

    .titulo-app {
        margin-left: 3%;
    }

    .livro-svg {
        width: 20%;
        margin-left: 15px;
    }

    .app-svg {
        display: none;

    }

    .disciplina:hover {
        cursor: pointer;
        transform: scale(1.02);
        color: black;
        background-color: white;
        border: 1px solid black;
        box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
    }

    .apresentacao-1 {
        display: none;
    }

    .caderno-m {
        flex-direction: column;
        align-items: center;
    }

    .linha-v {
        display: none;
    }

    .capa {
        width: 85%;
        margin-bottom: 10px;
    }

    .linha-h {
        display: flex;
        width: 90%;
        margin-left: auto;
        margin-right: auto;
        height: 1px;
        background-color: rgb(91, 91, 91);
        border-radius: 10px;
        margin-top: 50px;
        margin-bottom: 20px;
    }

    .infs,
    .redes-sociais {
        flex-direction: column;
        align-items: center;
        gap: 15px;
        margin-right: 0;
        margin-left: 0;
        width: 100%;

    }

    .rodape {
        align-items: center;
        padding-left: 0;
    }

    .logo-exp {
        margin-left: 2%;
        width: 50%;
        margin-bottom: 20px;

    }

    .ajuda,
    .agradecimento,
    .contato {
        width: 90%;
    }

    .instagram,
    .tiktok,
    .telegram {
        width: 90%;
    }

    .cap-inst,
    .cap-tkk,
    .cap-tlg {
        display: none;
    }

    .img-tkk {
        width: 35%;
    }

    .btn-contato {
        width: 50%;
    }

    .chave-pix {
        font-size: 1rem;
    }

    .cabecalho {
        width: 80%;
        font-size: clamp(0.4rem, 3.2vw, 1rem);
    }

    .img-ambient {
        display: none;

    }

    .mec-enem-container {
        display: none;
    }

    .mec-enem-container-cell {
        display: flex;
        flex-direction: column;
        border: 1px solid black;
        margin-top: 50px;
        width: 96%;
        margin-left: auto;
        margin-right: auto;
        border-radius: 12px;
        padding-bottom: 20px;
        padding-top: 20px;
        margin-bottom: 50px;

    }

    .mec-enem-img-cell {
        width: 95%;
        display: flex;
        margin-left: auto;
        margin-right: auto;
    }

    .info-cell {
        display: flex;
        flex-direction: column;
        gap: 20px;
        margin-left: auto;
        margin-right: auto;
        font-family: "Baloo", sans-serif;
    }

    .btns-mec-cell {
        display: flex;
        flex-direction: row;
        gap: 10px;
        justify-content: center;
        margin-top: 20px;
    }

    .btn-mec-enem-cell,
    .btn-mec-enem-2-cell,
    .btn-mec-enem-3-cell {
        display: flex;
        border-radius: 12px;
        padding: 10px;
        border: 1px solid black;
        color: black;
        font-family: "Baloo 2", sans-serif;
        font-weight: 600;
        font-size: clamp(0.8rem, 2vw, 1rem);
        white-space: nowrap;
        text-decoration: none;
        transition: 0.3s ease;
    }

    .btn-mec-enem-cell:hover {
        cursor: pointer;
        transform: scale(1.05);
        color: rgb(255, 255, 255);
        background-color: rgb(27, 99, 200);
        border: 1px solid rgb(0, 0, 0);
        box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
    }

    .btn-mec-enem-2-cell:hover {
        cursor: pointer;
        transform: scale(1.05);
        color: rgb(255, 255, 255);
        background-color: rgb(44, 162, 14);
        border: 1px solid rgb(0, 0, 0);
        box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
    }

    .btn-mec-enem-3-cell:hover {
        cursor: pointer;
        transform: scale(1.05);
        color: rgb(255, 255, 255);
        background-color: rgb(99, 99, 100);
        border: 1px solid rgb(0, 0, 0);
        box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
    }

    .txt-mec-cell {
        font-family: "Baloo 2", sans-serif;
        font-weight: 400;
        width: 90%;
        line-height: 1.2;
        display: flex;
        margin-left: auto;
        margin-right: auto;
    }

    .img-mecc {
        width: 88.5%;
    }

}

@media (min-width: 481px) and (max-width: 1024px) {
    header {
        width: 100%;
        font-size: clamp(0.3rem, 2vw, 1rem);
        margin-bottom: 10px;
    }

    .inicio {
        margin-top: 90px;
    }

    .cabecalho {
        width: 70%;
        font-size: clamp(0.6rem, 2.5vw, 1.2rem);
    }

    .titulo {
        line-height: 1;
        margin-bottom: 50px;
    }

    .logo-container {
        display: flex;
        width: 30%;
        height: 220px;
    }

    .apresentacao {
        display: none;
    }

    .apresentacao-1 {
        display: flex;
        font-size: 20px;
        width: 93.3%;
        border: 1px solid black;
        border-radius: 12px;
        padding: 10px;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 0;
        font-family: "Baloo 2", sans-serif;
        font-weight: 600;
        font-style: normal;
    }

    .capa {
        width: 40%;
    }

    .caderno-m {
        display: none;
    }

    .caderno-m-1 {
        display: grid;
        grid-template-columns: 1fr;
        justify-items: center;
    }

    .linha-v {
        display: none;
    }

    .capa {
        width: 50%;
        max-width: 180px;
        margin-bottom: 0;
    }

    .linha-h {
        display: flex;
        width: 90%;
        margin-left: auto;
        margin-right: auto;
        height: 1px;
        background-color: rgb(91, 91, 91);
        border-radius: 10px;
        margin-top: 50px;
        margin-bottom: 20px;
    }

    .row {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 25px;

    }

    .infs {
        margin-top: 20px;
    }

    .infs,
    .redes-sociais {
        flex-wrap: wrap;
        margin-right: 2%;
    }

    .agradecimento,
    .ajuda,
    .contato {
        flex: 1 1 45%;
        width: auto;
    }

    .instagram,
    .tiktok,
    .telegram {
        flex: 1 1 27.7%;
        width: auto;
    }

    .btn-seguir-inst,
    .btn-seguir-tkk,
    .btn-seguir-tlg {
        height: 40%;
        border-radius: 8px;
    }

    .conteudo {
        display: flex;
    }

    .cabeca {
        margin-bottom: 10px;
    }

    .mec-enem {
        display: flex;
        flex-direction: column;
    }

    .mec-enem-img {
        width: 90%;
        margin-inline: auto;

    }

    .info {
        width: 100%;
        align-items: center;
    }

    .txt-mec {
        width: 80%;
    }

}

@media (min-width: 1025px) and (max-width: 1390px) {
    .inicio {
        margin-top: 70px;
    }
}